KNITPY(1)

NAME
knitpy - a report generation tool with Python

SYNOPSIS
knitpy [options] infile.pymd

DESCRIPTION
This application is used to convert pymd documents (*.pymd) to various other formats.

Codeblocks and inline code are executed via IPython kernels and the results are inserted into the document. Documents should follow rmarkdown syntax (http://rmarkdown.rstudio.com/), substituting 'python' for 'r' if python code should be executed.

The commandline interface should be compatible to knitr.

knitpy uses pandoc to do any file type conversion (md -> html|latex|...).

ONLY SOME FEATURES OF knitr OR rmarkdown ARE YET SUPPORTED...

OPTIONS
Type 'knitpy --help' to see the available options. For more information on full configurables, use '--help-all'.

EXAMPLES
The simplest way to use knitpy is 'knitpy mydocument.pymd', which will convert mydocument.pymd to the default format (probably HTML).

Output formats supported: 'html', 'pdf' and 'docx'. Change with '--to=<format>'. Use '--to=all' to convert to all export formats specified in the yaml header

SEE ALSO
You can find more information in /usr/share/doc/python3-knitpy/README.md

The project's home page is available at https://github.com/janschulz/knitpy

AUTHOR
knitpy was written by Jan Schulz.

This manual page was written by Miriam Ruiz <miriam@debian.org>, for the Debian project (but may be used by others).